<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { ref, onMounted, computed } from 'vue';
import { useBaseStore } from '@/stores/base';
import { storeToRefs } from 'pinia';
import { notificationStatus } from '@/enums/enums';

const emits = defineEmits<{
    (e: 'finished'):void
}>();
const store = useBaseStore();
const { message, status } = storeToRefs(store);
const totalTime = 5000;
const elapsedTime = ref(0);

const progress = computed(()=>{
    return (elapsedTime.value/totalTime)*100;
});

onMounted(()=>{
    const interval = 10;
    const timer = setInterval(() => {
    elapsedTime.value += interval;
    if (Math.abs(elapsedTime.value - totalTime) <= 10) {
      clearInterval(timer);
      status.value = notificationStatus.SUCCESS;
      message.value = "";
      //emits('finished');
    }
  }, interval);
});

</script>
<template>
<div class="relative pt-1">
    <div class="h-2 w-full rounded overflow-hidden flex flex-row-reverse" :class="status===notificationStatus.SUCCESS?'bg-emerald-400':'bg-red-400'">
        <div class="h-2" :class="status===notificationStatus.SUCCESS?'bg-emerald-600':'bg-red-600'" :style="{ width: progress + '%' }"></div>
    </div>
</div>
</template>